snmp_table_node Struct Reference

`#include <snmp_table.h>`

## Data Fields

struct snmp_leaf_node | node
node_instance_get_value_method | get_value
node_instance_set_test_method | set_test
node_instance_set_value_method | set_value

## Detailed Description

table node

## Field Documentation

## get_value

node_instance_get_value_method snmp_table_node::get_value

returns object value for the given object identifier

## node

struct snmp_leaf_node snmp_table_node::node

inherited "base class" members

## set_test

node_instance_set_test_method snmp_table_node::set_test

tests length and/or range BEFORE setting

## set_value

node_instance_set_value_method snmp_table_node::set_value

sets object value, only called when set_test() was successful

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/snmp_table.h